[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# UTF8Decode

Convert an UTF-8 encoded ansistring to a unicodestring

## Declaration

Source position: ustringh.inc line 140

`function UTF8Decode(`
`const s: RawByteString`
`):UnicodeString;`

## Description

UTF8Decode converts the UTF-8 encoded ansistring S to a unicodestring and returns the resulting string. It calls the low-level Utf8ToUnicode function to do the actual work.

## See also

UTF8Encode |  | Convert a widestring or unicodestring to an UTF-8 encoded ansistring
Utf8ToAnsi |  | Convert a UTF-8 encoded Unicode string to an ansistring
SetWideStringManager |  | Set the widestring manager
Utf8ToUnicode |  | Convert a buffer with UTF-8 characters to widestring characters